%define prefix /usr
%define name dhcp
%define	version	3.0b1pl12
%define release 4mdk

Summary: A DHCP (Dynamic Host Configuration Protocol) server and relay agent
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System/Servers
Url: http://www.isc.org/dhcp.html
Source0: ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.bz2
Source1: dhcpd.conf.sample
Source2: dhcpd.init
Patch0: dhcp-buildroot.patch.bz2
Prereq:    /sbin/chkconfig
BuildRoot: /var/tmp/%{name}-%{version}-root
Obsoletes: dhcpd
Prefix: %{_prefix}

%description 
This is the third release of the dhcp package from the Internet Software
Consortium. DHCP (Dynamic Host Configuration Protocol) is a protocol which
allows individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address, etc.)
from a DHCP server.  The overall purpose of DHCP is to make it easier to
administer a large network.  The dhcp package includes the DHCP server and
a DHCP relay agent.

You should install dhcp if you want to set up a DHCP server on your
network. You will also need to install the dhcp-client or dhcpcd package,
which provides the DHCP client daemon, on client machines.

%package client
Summary: A DHCP (Dynamic Host Configuration Protocol) client.
Group: System/Servers

%description client
This is the third release of the dhcp package from the Internet Software
Consortium.  The Internet Software Consortium DHCP Client, dhclient,
provides a means for  configuring  one  or  more  network interfaces 
using the Dynamic Host Configuration Protocol, BOOTP protocol, or if these
protocols fail, by statically assigning an address.

%prep
%setup -q 
%patch0 -p1 
cp $RPM_SOURCE_DIR/dhcpd.conf.sample doc/

%build
./configure
make CC="gcc -pipe" DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/sbin
mkdir -p $RPM_BUILD_ROOT/%{prefix}/man/man5
mkdir -p $RPM_BUILD_ROOT/%{prefix}/man/man8
mkdir -p $RPM_BUILD_ROOT/var/dhcpd
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/sbin

touch $RPM_BUILD_ROOT/var/dhcpd/dhcpd.leases
touch $RPM_BUILD_ROOT/var/dhcpd/dhclient.leases

RPM_BUILD_ROOT=${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

install -m 0755 $RPM_SOURCE_DIR/dhcpd.init \
			$RPM_BUILD_ROOT/etc/rc.d/init.d/dhcpd
strip $RPM_BUILD_ROOT/{sbin/*,usr/sbin/*} || :

# the dhcp Makefiles are too stupid to even install man pages properly
#rm -rf $RPM_BUILD_ROOT/%{prefix}/man
#find . -name "*.[58]" | while read file; do
#    ext=`echo $file | sed 's/.*\.//'`
#    echo $file - $ext
#    mkdir -p $RPM_BUILD_ROOT/%{prefix}/man/man$ext
#    install -m 644 $file $RPM_BUILD_ROOT/%{prefix}/man/man$ext
#done

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9f

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%post
/sbin/chkconfig --add dhcpd
# New dhcpd lease file
if [ ! -f /var/dhcpd/dhcpd.leases ]; then
    touch /var/dhcpd/dhcpd.leases
fi

%postun
if [ $1 = 0 ]; then
    # execute this only if we are NOT doing an upgrade
    /sbin/chkconfig --del dhcpd 
fi

%post client
if [ ! -f /var/dhcpd/dhclient.leases ]; then
        touch /var/dhcpd/dhclient.leases
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANONCVS COPYRIGHT DOCUMENTATION ISC-LICENSE README RELNOTES doc/*
%doc server/dhcpd.conf
%dir /var/dhcpd
%config /etc/rc.d/init.d/dhcpd
%{prefix}/sbin/dhcpd
%{prefix}/sbin/dhcrelay
%{prefix}/man/man5/dhcpd.conf.5.bz2
%{prefix}/man/man5/dhcpd.leases.5.bz2
%{prefix}/man/man5/dhcp-options.5.bz2
%{prefix}/man/man8/dhcpd.8.bz2
%{prefix}/man/man8/dhcrelay.8.bz2
%ghost /var/dhcpd/dhcpd.leases

%files client
%defattr(-,root,root)
%doc ANONCVS COPYRIGHT DOCUMENTATION ISC-LICENSE README RELNOTES doc/*
%doc client/dhclient.conf
%dir /var/dhcpd
%config /etc/dhclient-script
/sbin/dhclient
%{prefix}/man/man5/dhclient.conf.5.bz2
%{prefix}/man/man5/dhclient.leases.5.bz2
%{prefix}/man/man8/dhclient.8.bz2
%{prefix}/man/man8/dhclient-script.8.bz2
%ghost /var/dhcpd/dhclient.leases

%changelog
* Thu Apr 13 2000 Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl12-4mdk
- Made init script at config file

* Fri Mar 24 2000 - Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0b1pl12-3mdk
- modified init script so it binds to the correct interface. It reads
  /etc/conf.linuxconf to do it.

* Tue Mar 21 2000 - Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl12-2mdk
- correct group

* Mon Dec 06 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix build as user
- Add "%%define prefix /usr"
- Replace /%%{prefix} by  %%{prefix}

* Mon Dec 01 1999 Philippe Libat <philippe@mandrakesoft.com>
- Subpackages dhcp-client
- Upgrade of patch.
- Change dhcpd.leases directory

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Prefixing the package.
- Upgrade of patch.
- 3.0b1pl0.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- copy the source file in %prep, not move

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added a sample dhcpd.conf file
- we don't need to dump rfc's in /usr/doc

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- modify dhcpd.init to exit if /etc/dhcpd.conf is not present

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- Upgraded to 2.0b1pl6 (patch1 no longer needed).

* Thu Jun 11 1998 Erik Troan <ewt@redhat.com>
- applied patch from Chris Evans which makes the server a bit more paranoid
  about dhcp requests coming in from the wire

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- updated to dhcp 2.0b1pl1
- got proper man pages in the package

* Tue Mar 31 1998 Erik Troan <ewt@redhat.com>
- updated to build in a buildroot properly
- don't package up the client, as it doens't work very well <sigh>

* Tue Mar 17 1998 Bryan C. Andregg <bandregg@redhat.com>
- Build rooted and corrected file listing.

* Mon Mar 16 1998 Mike Wangsmo <wanger@redhat.com>
- removed the actual inet.d links (chkconfig takes care of this for us)
  and made the %postun section handle upgrades.

* Mon Mar 16 1998 Bryan C. Andregg <bandregg@redhat.com>
- First package.
